<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>


</head>
<body>

<script type="text/javascript">
	
     function funcion1(){

      // nombre=document.formulario.cnombre.value;
       nombre=document.querySelector("#inombre").value;
       console.log(nombre);
     }

</script>


 <script type="text/javascript">
		
           

	    let nombre='Tu nombre';
		var a=1;
		var b=2;
		var c=0;
		
         nombre=prompt("introduce tu nombre:");
         console.log(nombre);
    

</script>


	<form name="formulario">
		

         <label for="inombre">introduce tu nombre</label><br/><br/>
         <input type="text" name="cnombre"  placeholder="escribe tu nombre" id="inombre">
         <button type="button" onclick="funcion1()">Leer</button>

         
	</form>
</body>
</html>